Get website product
curl --request GET \
--url https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/products/{productId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/products/{productId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.service.getjusto.com/v3/ordering/customers/{externalCustomerId}/websites/{domain}/products/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"externalId": "<string>",
"priority": 123,
"informativeStamps": {},
"availabilityAt": {
"menuId": "<string>",
"basePrice": 123,
"finalPrice": 123,
"available": true,
"visible": true,
"notAvailableMessage": "<string>",
"hideDiscountBadge": true
},
"nicknames": [
"<string>"
],
"categories": [
{
"_id": "<string>",
"name": "<string>",
"index": 123,
"translations": {}
}
],
"images": [
{
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
}
],
"maxPurchaseQuantity": 123,
"websiteId": "<string>",
"websiteName": "<string>",
"menuId": "<string>",
"urlVideo": "<string>",
"modifiers": [
{
"_id": "<string>",
"name": "<string>",
"shortName": "<string>",
"description": "<string>",
"isImageModifier": true,
"min": 123,
"max": 123,
"optional": true,
"options": [
{
"_id": "<string>",
"name": "<string>",
"availabilityAt": {
"menuId": "<string>",
"price": 123,
"available": true
},
"images": [
{
"_id": "<string>",
"url": "<string>",
"colorsData": {
"blurhash": "<string>",
"background": "<string>",
"front": "<string>"
},
"dimensions": {
"width": 123,
"height": 123
},
"resizedData": {
"thumbnailURL": "<string>",
"smallURL": "<string>",
"mediumURL": "<string>",
"largeURL": "<string>",
"extraLargeURL": "<string>"
}
}
],
"max": 123,
"requiresAtLeastOneModifierOption": true,
"requiresModifierOptionIds": [
"<string>"
],
"translations": {}
}
],
"translations": {}
}
],
"altImg": "<string>",
"titleImg": "<string>",
"measurementUnit": "<string>",
"measurementValue": 123,
"translations": {},
"path": "<string>"
}
}Websites y catálogo
Get website product
Obtiene el detalle de un producto, incluyendo disponibilidad y modificadores.
GET
/
ordering
/
customers
/
{externalCustomerId}
/
websites
/
{domain}
/
products
/
{productId}
Get website product
Authorizations
JWT Token
Path Parameters
ID del customer en el sistema externo. Es independiente por app.
Dominio canónico del website Justo.
ID del producto dentro del catálogo Justo.
⌘I